Bug 310982 - add customiser for how many lines of history to be loaded in chat
Summary: add customiser for how many lines of history to be loaded in chat
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-01 14:20 UTC by Alin M Elena
Modified: 2012-12-28 13:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2012-12-01 14:20:59 UTC
I would be nice if one can decide how many lines of chat are loaded when in chat...

0 and all shall be valid options.


Reproducible: Always
Comment 1 Daniele E. Domenichelli 2012-12-01 23:36:05 UTC
An "all" option seems a bit dangerous to me...
I'd rather have something like "last ## messages", "last hour", "last 24 hours", "last 48 hours", perhaps "last week".
More than that seems something that should be done using the log viewer...
Comment 2 David Edmundson 2012-12-05 05:59:32 UTC
Alin, how many lines would you personally change it to?

Even if we did have this option, we still need to have a good default.
Comment 3 Alin M Elena 2012-12-28 01:39:46 UTC
4 lines like now... we do not want to scare the people? 

Alin
Comment 4 David Edmundson 2012-12-28 09:51:55 UTC
So you want an option to customise it.. but would personally leave it at 4 which is what it does anyway?

So why do we want this option?
Comment 5 Alin M Elena 2012-12-28 10:38:37 UTC
I said default 4 in order to avoid changing behaviour... personally I would set it to something higher than that... 

Alin
Comment 6 Daniel Vrátil 2012-12-28 13:00:34 UTC
Git commit 55eb12c86b2b5ea12682378bf3cd6b29e6fe64e1 by Dan Vrátil.
Committed on 28/12/2012 at 13:06.
Pushed by dvratil into branch 'master'.

Configure how many lines of history to load

Add option to text-ui configuration to set how many lines
of previous conversation should be loaded.

REVIEW: 107968
FIXED-IN: 0.6.0

M  +12   -0    config/behavior-config.cpp
M  +2    -0    config/behavior-config.h
M  +43   -0    config/behavior-config.ui
M  +3    -1    lib/chat-widget.cpp
M  +2    -2    lib/logmanager.cpp

http://commits.kde.org/telepathy-text-ui/55eb12c86b2b5ea12682378bf3cd6b29e6fe64e1